Skip to main content
GET
List all Accounts

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

created_before
string<datetime>

Used to limit results to Accounts created before a specified datetime.

created_after
string<datetime>

Used to limit results to Accounts created after a specified datetime.

email
string<email>

The email address of the account - if specified, all Accounts with that email address value will be returned.

payment_method
string

This method will return a list of accounts that have the specified payment method id or vid associated with them. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
payment_method_boleto_fiscal_number
integer

Limit list to accounts with the Boleto payment method and specified Boleto fiscal number.

payment_method.carrier_billing.encoded_phone_number
integer

Limit list to accounts with the CarrierBilling payment method and specified Carrier Billing encoded phone number.

payment_method.carrier_billing.phone_number
integer

Limit list to accounts with the CarrierBilling payment method and specified Carrier Billing billing phone number.

payment_method.credit_card.account
integer

Limit list to accounts with the CreditCard payment method and specified account number.

payment_method.direct_debit.account
integer

Limit list to accounts with the Direct Debit payment method and specified account number.

payment_method.direct_debit.bank_sort_code
integer

Limit list to accounts with the Direct Debit payment method and specified bank sort code.

payment_method.ecp.account
integer

Limit list to accounts with the ACH (aka ECP) payment method and specified account number.

payment_method.ecp.routing_number
integer

Limit list to accounts with the ACH (aka ECP) payment method and specified routing number.

payment_method.merchant_accepted_payment.last_digits
integer

Limit list to accounts with the Merchant Accepted Payment (Pay By Invoice) payment method and specified last digits..

payment_method.merchant_accepted_payment.payment_id
integer

Limit list to accounts with the Merchant Accepted Payment (Pay By Invoice) payment method and specified payment id.

payment_method.paypal.paypal_email
string<email>

Limit list to accounts with the PayPal) payment method and specified email address.

Response

JSON - A list array with a data property that contains an array of up to limit Accounts, starting after the specified starting_after Account (or ending before the specified ending_before Account). Each entry in the array is a full Account object. If no more Accounts are available, the resulting array will be empty. This request should never throw an error.

A list of Accountt objects matching the query. Also:

  • “total_count”: Integer count of the number of Accounts in the returned list.

  • “url”: The query string provided in the request

  • “next”: The route (partial URL) to the next Account object (string to select the “next”); included id should match that of the last object returned here

  • “previous”: The route (partial URL) to the previous Account object (string to select the “previous”); included id should match that of the first object returned here

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Subscription object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Subscriptions object (string to select the “previous”); included id should match that of the first object returned here.

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"Account\", \"id\": \"Account_496968\", \"external_id\": \"Ext_496968\", \"vid\": \"120ae2a1ac75b5053aa5776595550729e1d8f848\", \"created\": \"2022-03-31T11:43:16+00:00\", \"default_currency\": \"USD\", \"email\": \"cbrown@example.com\", \"email_type\": \"html\", \"language\": \"EN-U\", \"notify_before_billing\": true, \"company\": \"Peanuts\", \"name\": \"Charlie Brown\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"ab36555c687de9db047f6f386cbd8e1f65ca0e0a\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"metadata\": { \"favorite dog\": \"Snoopy\", \"favorite activity\": \"flying kites\" } }, { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\", \"created\": \"2022-04-05T06:58:08+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"62ab727aa1d922ac611cc59c5ed659946e8f1761\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1649141886\", \"vid\": \"b8a4f9d6c7e02d7cc600e5c58d37090a0e946e4f\", \"created\": \"2022-04-05T06:58:09+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"9afbf0f2a346ca64a43bb1576a5ab3ed192707d7\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"49473f8dfa9732b9da8ac4f80e8329c1bb250215\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, { \"object\": \"Account\", \"id\": \"Account_1649143506\", \"vid\": \"36780b1ec6888dfc245f388f95fb9c1acd9bef85\", \"created\": \"2022-04-05T07:25:07+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"f2ba30d0f3addb3e3e6bb88f41ee4587cb167feb\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1649143506\", \"vid\": \"5b3b9f39dffb4fdcb89340a9312f5b07e6aab045\", \"created\": \"2022-04-05T07:25:09+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"9afbf0f2a346ca64a43bb1576a5ab3ed192707d7\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"f50aebc1946cadb5acbc54854834b9cea2e1082b\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, { \"object\": \"Account\", \"id\": \"Account_1649143928\", \"vid\": \"67adffc11b9c302dfd7e60e255d45899ea1d3076\", \"created\": \"2022-04-05T07:32:10+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"26416edfb885496ec17c0eaf272b15ecace72bf6\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1649143928\", \"vid\": \"a13be18905df3db3bee0fded5c9e67001ec5b5d2\", \"created\": \"2022-04-05T07:32:11+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"9afbf0f2a346ca64a43bb1576a5ab3ed192707d7\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"03e927aa03b82fe36bb1ac4d84bcb78f2166e5bf\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, { \"object\": \"Account\", \"id\": \"Account_1649146579\", \"vid\": \"b63f4867ef232ac20aaec4a5ebf0289130335f5f\", \"created\": \"2022-04-05T08:16:21+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"4de248f13831859fd75e2ef555411afb56c48b81\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1649146579\", \"vid\": \"45fb55effae1c1647187761337826f957fb0204b\", \"created\": \"2022-04-05T08:16:22+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"9afbf0f2a346ca64a43bb1576a5ab3ed192707d7\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"f8d7061e7c7cb3a4d55a2ce9f61b1584d921a7b8\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, { \"object\": \"Account\", \"id\": \"cust_2234\", \"external_id\": \"Ext_12345\", \"vid\": \"04dbe59a1b72c653b672f828565b4989c2a9ac47\", \"created\": \"2022-04-05T10:31:19+00:00\", \"default_currency\": \"USD\", \"email\": \"cbrown@example.com\", \"email_type\": \"html\", \"language\": \"EN-U\", \"notify_before_billing\": true, \"company\": \"Peanuts\", \"name\": \"Charlie Brown\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"c3991297470e6b882d3c5976e567d57f2c532dc5\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"metadata\": { \"favorite dog\": \"Snoopy\", \"favorite activity\": \"flying kites\" } }, { \"object\": \"Account\", \"id\": \"cust_1234\", \"external_id\": \"Ext_1234\", \"vid\": \"8176aa2edd325cb6006385d4dd47d94566804f00\", \"created\": \"2022-04-06T07:54:21+00:00\", \"default_currency\": \"USD\", \"email\": \"charlie.brown@example.com\", \"email_type\": \"html\", \"language\": \"EN-U\", \"notify_before_billing\": true, \"company\": \"Peanuts\", \"name\": \"Charlie Brown\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"a99b01cf89f7d9d7fcccfec0069aa4720aa2504e\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"metadata\": { \"favorite dog\": \"Snoopy\", \"favorite activity\": \"flying kites\" } } ], \"total_count\": 7, \"url\": \"/accounts\", \"next\": \"/accounts?starting_after=cust_1234\", \"previous\": \"/accounts?ending_before=Account_496968\" }"